import unittest
from formats.geojson_format import is_valid


class TestShpFormat(unittest.TestCase):
    def test_is_valid__valid(self):
        resource = {}
        with open("tests/data/bermuda.geojson", "r") as file:
            self.assertTrue(is_valid(resource, file))

    def test_is_valid__invalid(self):
        resource = {}
        with open("tests/data/correct.json", "r") as file:
            self.assertFalse(is_valid(resource, file))


if __name__ == "__main__":
    unittest.main()
